com.tibbo.aggregate.common.datatable

## Class DataTableBuilding

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.DataTableBuilding

-     public class DataTableBuilding
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `BINDINGS_FORMAT`
    `static TableFormat` | `EDITOR_OPTIONS_SIMPLE_FORMAT`
    `static java.lang.String` | `FIELD_BINDINGS_EXPRESSION`
    `static java.lang.String` | `FIELD_BINDINGS_TARGET`
    `static java.lang.String` | `FIELD_EDITOR_OPTIONS_SIMPLE_FORMAT_OPTIONS`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_DEFAULT_VALUE`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_DESCRIPTION`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_EDITOR`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_EDITOR_OPTIONS`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_ENCRYPTED`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_EXTSELVALS`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_GROUP`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_HELP`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_HIDDEN`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_INLINE`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_KEY`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_NAME`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_NULLABLE`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_OLDNAME`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_READONLY`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_SELVALS`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_TYPE`
    `static java.lang.String` | `FIELD_FIELDS_FORMAT_VALIDATORS`
    `static java.lang.String` | `FIELD_SELECTION_VALUES_DESCRIPTION`
    `static java.lang.String` | `FIELD_SELECTION_VALUES_VALUE`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_BINDINGS`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_ENCODED`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_FIELDS`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_MAX_RECORDS`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_MIN_RECORDS`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_NAMING_EXPRESSION`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_REORDERABLE`
    `static java.lang.String` | `FIELD_TABLE_FORMAT_UNRESIZABLE`
    `static java.lang.String` | `FIELD_VALIDATORS_OPTIONS`
    `static java.lang.String` | `FIELD_VALIDATORS_VALIDATOR`
    `static TableFormat` | `FIELDS_FORMAT`
    `static TableFormat` | `SELECTION_VALUES_FORMAT`
    `static TableFormat` | `TABLE_FORMAT`
    `static TableFormat` | `VALIDATORS_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableBuilding()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableFormat` | `createTableFormat(DataTable formatTable)`
    `static TableFormat` | `createTableFormat(DataTable formatTable, ClassicEncodingSettings settings, boolean allowNull)`
    `static TableFormat` | `createTableFormat(int minRecords, int maxRecords, boolean reorderable, DataTable fields, ClassicEncodingSettings settings)`
    `static DataTable` | `formatToFieldsTable(TableFormat tf, boolean readOnly)`
    `static DataTable` | `formatToFieldsTable(TableFormat tf, boolean readOnly, ClassicEncodingSettings settings)`
    `static DataTable` | `formatToFieldsTable(TableFormat tf, boolean readOnly, ClassicEncodingSettings settings, boolean ignoreHiddenFields)`
    `static DataTable` | `formatToTable(TableFormat tf)`
    `static DataTable` | `formatToTable(TableFormat tf, boolean ignoreHiddenFields)`
    `static DataTable` | `formatToTable(TableFormat tf, ClassicEncodingSettings settings)`
    `static DataTable` | `formatToTable(TableFormat tf, ClassicEncodingSettings settings, boolean ignoreHiddenFields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_TABLE_FORMAT_MIN_RECORDS

          public static final java.lang.String FIELD_TABLE_FORMAT_MIN_RECORDS

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_MAX_RECORDS

          public static final java.lang.String FIELD_TABLE_FORMAT_MAX_RECORDS

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_FIELDS

          public static final java.lang.String FIELD_TABLE_FORMAT_FIELDS

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_REORDERABLE

          public static final java.lang.String FIELD_TABLE_FORMAT_REORDERABLE

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_UNRESIZABLE

          public static final java.lang.String FIELD_TABLE_FORMAT_UNRESIZABLE

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_BINDINGS

          public static final java.lang.String FIELD_TABLE_FORMAT_BINDINGS

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_ENCODED

          public static final java.lang.String FIELD_TABLE_FORMAT_ENCODED

      See Also:
        Constant Field Values

    - #### FIELD_TABLE_FORMAT_NAMING_EXPRESSION

          public static final java.lang.String FIELD_TABLE_FORMAT_NAMING_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_OLDNAME

          public static final java.lang.String FIELD_FIELDS_FORMAT_OLDNAME

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_NAME

          public static final java.lang.String FIELD_FIELDS_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_TYPE

          public static final java.lang.String FIELD_FIELDS_FORMAT_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_DESCRIPTION

          public static final java.lang.String FIELD_FIELDS_FORMAT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_GROUP

          public static final java.lang.String FIELD_FIELDS_FORMAT_GROUP

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_DEFAULT_VALUE

          public static final java.lang.String FIELD_FIELDS_FORMAT_DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_HIDDEN

          public static final java.lang.String FIELD_FIELDS_FORMAT_HIDDEN

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_INLINE

          public static final java.lang.String FIELD_FIELDS_FORMAT_INLINE

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_ENCRYPTED

          public static final java.lang.String FIELD_FIELDS_FORMAT_ENCRYPTED

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_READONLY

          public static final java.lang.String FIELD_FIELDS_FORMAT_READONLY

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_NULLABLE

          public static final java.lang.String FIELD_FIELDS_FORMAT_NULLABLE

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_KEY

          public static final java.lang.String FIELD_FIELDS_FORMAT_KEY

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_SELVALS

          public static final java.lang.String FIELD_FIELDS_FORMAT_SELVALS

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_EXTSELVALS

          public static final java.lang.String FIELD_FIELDS_FORMAT_EXTSELVALS

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_HELP

          public static final java.lang.String FIELD_FIELDS_FORMAT_HELP

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_EDITOR

          public static final java.lang.String FIELD_FIELDS_FORMAT_EDITOR

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_EDITOR_OPTIONS

          public static final java.lang.String FIELD_FIELDS_FORMAT_EDITOR_OPTIONS

      See Also:
        Constant Field Values

    - #### FIELD_FIELDS_FORMAT_VALIDATORS

          public static final java.lang.String FIELD_FIELDS_FORMAT_VALIDATORS

      See Also:
        Constant Field Values

    - #### FIELD_SELECTION_VALUES_VALUE

          public static final java.lang.String FIELD_SELECTION_VALUES_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_SELECTION_VALUES_DESCRIPTION

          public static final java.lang.String FIELD_SELECTION_VALUES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_BINDINGS_TARGET

          public static final java.lang.String FIELD_BINDINGS_TARGET

      See Also:
        Constant Field Values

    - #### FIELD_BINDINGS_EXPRESSION

          public static final java.lang.String FIELD_BINDINGS_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_VALIDATORS_VALIDATOR

          public static final java.lang.String FIELD_VALIDATORS_VALIDATOR

      See Also:
        Constant Field Values

    - #### FIELD_VALIDATORS_OPTIONS

          public static final java.lang.String FIELD_VALIDATORS_OPTIONS

      See Also:
        Constant Field Values

    - #### SELECTION_VALUES_FORMAT

          public static final TableFormat SELECTION_VALUES_FORMAT

    - #### BINDINGS_FORMAT

          public static final TableFormat BINDINGS_FORMAT

    - #### VALIDATORS_FORMAT

          public static final TableFormat VALIDATORS_FORMAT

    - #### FIELD_EDITOR_OPTIONS_SIMPLE_FORMAT_OPTIONS

          public static final java.lang.String FIELD_EDITOR_OPTIONS_SIMPLE_FORMAT_OPTIONS

      See Also:
        Constant Field Values

    - #### EDITOR_OPTIONS_SIMPLE_FORMAT

          public static final TableFormat EDITOR_OPTIONS_SIMPLE_FORMAT

    - #### FIELDS_FORMAT

          public static final TableFormat FIELDS_FORMAT

    - #### TABLE_FORMAT

          public static final TableFormat TABLE_FORMAT

  - ### Constructor Detail

    - #### DataTableBuilding

          public DataTableBuilding()

  - ### Method Detail

    - #### createTableFormat

          public static TableFormat createTableFormat(DataTable formatTable)
                                               throws ContextException

      Throws:
        `ContextException`

    - #### createTableFormat

          public static TableFormat createTableFormat(DataTable formatTable,
                                                      ClassicEncodingSettings settings,
                                                      boolean allowNull)
                                               throws ContextException

      Throws:
        `ContextException`

    - #### createTableFormat

          public static TableFormat createTableFormat(int minRecords,
                                                      int maxRecords,
                                                      boolean reorderable,
                                                      DataTable fields,
                                                      ClassicEncodingSettings settings)
                                               throws ContextException

      Throws:
        `ContextException`

    - #### formatToFieldsTable

          public static DataTable formatToFieldsTable(TableFormat tf,
                                                      boolean readOnly)

    - #### formatToFieldsTable

          public static DataTable formatToFieldsTable(TableFormat tf,
                                                      boolean readOnly,
                                                      ClassicEncodingSettings settings)

    - #### formatToFieldsTable

          public static DataTable formatToFieldsTable(TableFormat tf,
                                                      boolean readOnly,
                                                      ClassicEncodingSettings settings,
                                                      boolean ignoreHiddenFields)

    - #### formatToTable

          public static DataTable formatToTable(TableFormat tf,
                                                boolean ignoreHiddenFields)

    - #### formatToTable

          public static DataTable formatToTable(TableFormat tf)

    - #### formatToTable

          public static DataTable formatToTable(TableFormat tf,
                                                ClassicEncodingSettings settings)

    - #### formatToTable

          public static DataTable formatToTable(TableFormat tf,
                                                ClassicEncodingSettings settings,
                                                boolean ignoreHiddenFields)